Skip to main content
GET
/
v2
/
users
/
me
/
accounts
Get User Accounts
curl --request GET \
  --url https://api.aries.com/v2/users/me/accounts \
  --header 'Authorization: Bearer <token>'
{
  "accounts": [
    {
      "trading_account_id": "SIM6B86XEYOC",
      "broker_account_id": "",
      "status": "OPEN",
      "is_sim": true,
      "account_type": "",
      "account_class": ""
    },
    {
      "trading_account_id": "3AF05000",
      "broker_account_id": "3AF05000",
      "status": "OPEN",
      "is_sim": false,
      "account_type": "INDIVIDUAL",
      "account_class": "MARGIN"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Response

User accounts retrieved successfully

Response for GET /v2/users/me/accounts

accounts
object[]